<%#-- copyright
Nepenthes is a free and open project management software.
Copyright (C) 2024 The Nirvati developers

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

Nepenthes is a fork of OpenProject. The copyright follows:

Copyright (C) 2012-2024 the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>

<%= form_with model: member.new_record? ? [member.project, member] : member,
              builder: TabularFormBuilder,
              html: form_html_options do |f| %>
  <%= hidden_field_tag :page, params[:page].to_i %>
  <%= hidden_field_tag :per_page, params[:per_page].to_i %>

  <%= hidden_field_tag f.field_name(:user_ids, multiple: true), member.principal.id if member.new_record? %>

  <p>
    <% roles.each do |role| %>
      <label class="form--label-with-check-box">
        <%= f.collection_check_box :role_ids,
                                   role.id,
                                   member.roles.include?(role),
                                   role.name,
                                   disabled: role_disabled?(role),
                                   no_label: true
        %>
        <%= role %>
      </label>
    <% end %>
  </p>

  <p>
    <%= f.submit t(member.new_record? ? :button_add : :button_change), class: "button -primary -small" %>
    <%= link_to t(:button_cancel),
                "#",
                data: {
                  action: "members-form#toggleMembershipEdit",
                  "members-form-toggling-class-param": row.toggle_item_class_name
                },
                class: "button -small toggle-membership-button" %>
  </p>
<% end %>
